extends Area2D

var mouse_inside = false

@export var title : String
@export var text : String

func _ready() -> void:
	%Title.text = "[u]" + title + "[/u]"
	%Body.text = text

func _process(delta: float) -> void:
	global_rotation = 0
	if mouse_inside and Input.is_action_pressed("tooltip_view"):
		%PanelContainer.show()
	else:
		%PanelContainer.hide()
	


func _on_mouse_entered() -> void:
	mouse_inside = true


func _on_mouse_exited() -> void:
	mouse_inside = false
